<?php 
//2018-01-30 修正有分類時無法正確展開內容
?>
<style type="text/css">
/*--本頁表格專用*/
    .faqHeader {
        font-size: 1.4em;
        margin: 20px;
    }

    .panel-heading [data-toggle="collapse"]:after {
        font-family: 'Glyphicons Halflings';
        content: "\e072"; /* "play" icon */
        float: right;
        color: #F58723;
        font-size: 1em;
        line-height: 1.2em;
        /* rotate "play" icon from > (right arrow) to down arrow */
        -webkit-transform: rotate(-90deg);
        -moz-transform: rotate(-90deg);
        -ms-transform: rotate(-90deg);
        -o-transform: rotate(-90deg);
        transform: rotate(-90deg);
    }

    .panel-heading [data-toggle="collapse"].collapsed:after {
        /* rotate "play" icon from > (right arrow) to ^ (up arrow) */
        -webkit-transform: rotate(90deg);
        -moz-transform: rotate(90deg);
        -ms-transform: rotate(90deg);
        -o-transform: rotate(90deg);
        transform: rotate(90deg);
        color: #454444;
    }
</style>
<?php 
//Q&A基本資料
$linksBriefQuery = "SELECT * FROM qandaBrief WHERE isDisplay = 'true' ";
$linksBriefQuery.="AND parentID= :fillID2";
//執行SQL
$linksBriefStatement = $Database->prepare($linksBriefQuery);
$linksBriefStatement->bindParam(":fillID2", $showfillID, PDO::PARAM_INT);
$linksBriefStatement->execute();
$linksBriefRowset = $linksBriefStatement->fetchAll(PDO::FETCH_ASSOC);
$linksBrief_num = count($linksBriefRowset);    //fetchAll()  	算比數
 if ($linksBrief_num==0) echo "<p class=\"text-center text-warning\">Q&A目前沒有設定</p>";//	
foreach ($linksBriefRowset as $linksBriefrow) {
$linksBriefshow_id=$linksBriefrow["ID"];	
$linksBriefparentID=$linksBriefrow["parentID"];
$linksBriefisDisplay=$linksBriefrow["isDisplay"];
$linksBrieflinksclass=$linksBriefrow["qandaclass"];
$linksBriefAdminID=$linksBriefrow["AdminID"];
$linksBriefUpdateTime=$linksBriefrow["UpdateTime"];
}
//分類
$linksclassquery="SELECT Vaule,Text FROM parameters WHERE Class =:linksclass ORDER BY SortNum ASC ,ID ASC ";
//執行SQL
$linksclassStatement = $Database->prepare($linksclassquery);
$linksclassStatement->bindParam(":linksclass", $linksBrieflinksclass);
$linksclassStatement->execute();
$linksclassRowset = $linksclassStatement->fetchAll(PDO::FETCH_ASSOC);
$linksclass_num = count($linksclassRowset);    //fetchAll()  	算比數
 if ($linksclass_num==0) echo "<p class=\"text-center text-warning\">Q&A目前沒有設定分類</p>";//	
foreach ($linksclassRowset as $linksclassrow) {
?>
<p class="icon_arrow" id="<?php echo $linksclassrow[Vaule]?>"><?php echo $linksclassrow[Text]?></p>

<?php
$QADataquery="SELECT * FROM qandaData WHERE isDisplay= 'true' ";
$QADataquery.="AND qandasclass='$linksclassrow[Vaule]' AND parentID= :parentID  ORDER BY SortNum ASC ,ID ASC ";
//執行SQL
$QADataStatement = $Database->prepare($QADataquery);
$QADataStatement->bindParam(":parentID", $linksBriefshow_id, PDO::PARAM_INT);
$QADataStatement->execute();
$QADataRowset = $QADataStatement->fetchAll(PDO::FETCH_ASSOC);
$QAData_rows = count($QADataRowset);    //fetchAll()  	算比數

if ($QAData_rows==0) echo "<p class=\"text-center text-warning\">目前沒有資料</p>";//	
$QADataid=0;
foreach ($QADataRowset as $QADatarow) {
$QADataid++;
$QAData_id=$QADatarow["ID"];	
$QADataparentID=$QADatarow["parentID"];
$QADataisDisplay=$QADatarow["isDisplay"];
$QADataSortNum=$QADatarow["SortNum"];
$QADataqandasclass=$QADatarow["qandasclass"];
$QADataTitle=$QADatarow["Title"];
$QADataNote=$QADatarow["Note"];
$QADataAnswer=$QADatarow["Answer"];
$QADataAnswer=htmlspecialchars_decode($QADataAnswer);
$QADataAnswer=str_replace ('<table style="width: 100%;">','<table>',$QADataAnswer); //str_replace (取代前的字串,取代後字串,要取代的字串);
$QADataAnswer=str_replace ('<table>','<table class="rwd-table">',$QADataAnswer);
$QADataAnswer=str_replace ('<p>','<p class="icon_bluecircle">',$QADataAnswer);
$QADataAnswerNote=$QADatarow["AnswerNote"];
$QADataGroups=$QADatarow["Groups"];
$QADataAdminID=$QADatarow["AdminID"];
$QADataUpdateTime=$QADatarow["UpdateTime"];
echo "     
        <div class=\"panel panel-default\">
            <div class=\"panel-heading\">
                <h5 class=\"panel-title\">
                    <a class=\"accordion-toggle icon_arrow\" data-toggle=\"collapse\" data-parent=\"#accordion\" href=\"#Q$linksclassrow[Vaule]$QADataid\">Q$QADataid.$QADataTitle</a>
            <small>$QADataNote</small>
			    </h5>
            </div>
            <div id=\"Q$linksclassrow[Vaule]$QADataid\" class=\"panel-collapse collapse\">
                <div class=\"panel-body\">
                    $QADataAnswer
					<p>$QADataAnswerNote</p>
                </div>
            </div>
        </div>
";
}
}
 ?>
<?php
//更新資訊
$MAXTimequery="SELECT MAX(UpdateTime) AS LastDate FROM qandaData WHERE isDisplay= 'true' ";
$MAXTimequery.="AND parentID= :parentID ";
//執行SQL
$MAXTimeStatement = $Database->prepare($MAXTimequery);
$MAXTimeStatement->bindParam(":parentID", $linksBriefshow_id, PDO::PARAM_INT);
$MAXTimeStatement->execute();
$MAXTimeRowset = $MAXTimeStatement->fetchAll(PDO::FETCH_ASSOC); 	
$MAXTime_rows = count($MAXTimeRowset);    //fetchAll()  	算比數
 foreach ($MAXTimeRowset as $MAXTimerow) {
if ($MAXTimerow['LastDate']==NULL){
echo "<p class=\"text-right font_t text-warning\">Last Updated: NULL</p>";	
}else{
echo "<p class=\"text-right font_t text-info\">Last Updated: $MAXTimerow[LastDate]</p>";
}
}
 ?>  